# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

---
events:
  test.simple:
    description: "Simple test event with basic attributes"
    attributes:
      test_string:
        type: string
        description: "Test string attribute"
      test_integer:
        type: integer
        description: "Test integer attribute"
      test_boolean:
        type: boolean
        description: "Test boolean attribute"

  test.complex:
    description: "Test event with multiple inheritance"
    inherits_from: [test.simple]
    attributes:
      test_data:
        type: string
        description: "Additional test data"
      retry.count:
        type: integer
        description: "Number of retries attempted"

  test.deep_inheritance:
    description: "Test event with deep multi-level inheritance"
    inherits_from: [test.complex]
    attributes:
      extra.info:
        type: string
        description: "Additional information for deep inheritance test"
